Package org.apache.commons.compress.harmony.unpack200.bytecode.forms

# Class NewInitMethodRefForm

java.lang.Object
org.apache.commons.compress.harmony.unpack200.bytecode.forms.ByteCodeForm
org.apache.commons.compress.harmony.unpack200.bytecode.forms.ReferenceForm
org.apache.commons.compress.harmony.unpack200.bytecode.forms.ClassSpecificReferenceForm
org.apache.commons.compress.harmony.unpack200.bytecode.forms.InitMethodReferenceForm
org.apache.commons.compress.harmony.unpack200.bytecode.forms.NewInitMethodRefForm

public class NewInitMethodRefForm extends InitMethodReferenceForm
This class is used to determine which init method should be called, based on the last class which was sent a constructor message.

- ## Field Summary

  ### Fields inherited from class org.apache.commons.compress.harmony.unpack200.bytecode.forms.ByteCodeForm

  `byteCodeArray, byteCodesByName, WIDENED`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NewInitMethodRefForm(int opcode, String name, int[] rewrite)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected String`
  `context(OperandManager operandManager)`
  `protected void`
  `setNestedEntries(ByteCode byteCode, OperandManager operandManager, int offset)`

  ### Methods inherited from class org.apache.commons.compress.harmony.unpack200.bytecode.forms.InitMethodReferenceForm

  `getOffset, getPoolID`

  ### Methods inherited from class org.apache.commons.compress.harmony.unpack200.bytecode.forms.ReferenceForm

  `setByteCodeOperands`

  ### Methods inherited from class org.apache.commons.compress.harmony.unpack200.bytecode.forms.ByteCodeForm

  `calculateOperandPosition, firstOperandIndex, fixUpByteCodeTargets, get, getName, getOpcode, getRewrite, getRewriteCopy, hasMultipleByteCodes, hasNoOperand, nestedMustStartClassPool, operandLength, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### NewInitMethodRefForm

    public NewInitMethodRefForm(int opcode, String name, int[] rewrite)

- ## Method Details

  - ### context

    protected String context(OperandManager operandManager)
    Specified by:
      `context` in class `InitMethodReferenceForm`

  - ### setNestedEntries

    protected void setNestedEntries(ByteCode byteCode, OperandManager operandManager, int offset) throws Pack200Exception
    Overrides:
      `setNestedEntries` in class `InitMethodReferenceForm`
    Throws:
      `Pack200Exception`